#version 450

layout( push_constant ) uniform constants {
  mat4 view;
  mat4 proj;
  mat4 model;
} scene_pc;

layout(set = 0, binding = 0) uniform SceneUniformBuffer {
  mat4 test;
} scene_ubo;

layout(location = 0) in vec3 inPosition;
layout(location = 1) in vec3 inColor;
layout(location = 2) in vec2 inTex;

layout(location = 0) out vec3 fragColor;
layout(location = 1) out vec2 fragTex;

void main() {
  gl_Position = scene_pc.proj * scene_pc.view * scene_pc.model * vec4(inPosition, 1.0);
  fragColor = inColor;
  fragTex = inTex;
}
